Bulkjobrequests 2 endpoints

GET /bulk/userstates/eventlist/next

This endpoint is used to lookup the next upcoming scheduled state change for each user in the
given list. The users parameter is limited to 100 items per request. The results are also limited
to 100 items. This endpoint returns a max of 1 event per state per user. For example, if a user
has 3 ACTIVATED events scheduled it will return the next upcoming activation event. However, if a
user also has a SUSPENDED event scheduled along with the ACTIVATED events it will return the next
upcoming activation event and the next upcoming suspension event.

operationId: bulk_userStatesGetNextScheduled

Parameters

Name In Required Type Description
users query required array

A list of system user IDs, limited to 100 items.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

Responses

200

OK

400
401
403
404
500
GET /bulk/userstates/eventlist/next
DELETE /bulk/userstates/{id}

This endpoint deletes a scheduled statechange job.

Sample Request

curl -X DELETE "https://console.jumpcloud.com/api/v2/bulk/userstates/{ScheduledJob_ID}" \
  -H 'x-api-key: {API_KEY}' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json'
operationId: bulk_userStatesDelete

Parameters

Name In Required Type Description
id path required string

Unique identifier of the scheduled statechange job.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204

No Content

400
401
403
404
409
500
DELETE /bulk/userstates/{id}

Commands 2 endpoints

DELETE /commandqueue/{workflow_instance_id}

This endpoint allows all queued commands for one workflow instance to be canceled.

Sample Request

 curl -X DELETE https://console.jumpcloud.com/api/v2/commandqueue/{workflow_instance_id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: commands_cancelQueuedCommandsByWorkflowInstanceId

Parameters

Name In Required Type Description
workflow_instance_id path required string

Workflow instance Id of the queued commands to cancel.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204

OK

400
401
403
404
409
500
DELETE /commandqueue/{workflow_instance_id}
GET /queuedcommand/workflows

This endpoint will return all queued Commands for an Organization.

Each element will contain the workflow ID, the command name, the launch type (e.g. manual, triggered, or scheduled), the target OS, the number of assigned devices, and the number of pending devices that have not yet ran the command.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/queuedcommand/workflows \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: commands_getQueuedCommandsByWorkflow

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

limit query optional integer
filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

search query optional string

The search string to query records

Responses

200

OK

400
401
403
404
409
500
GET /queuedcommand/workflows

Customemails 5 endpoints

GET /customemail/templates

Get the list of custom email templates

operationId: customEmails_getTemplates

Responses

200

OK

400
401
403
500
GET /customemail/templates
POST /customemails

Create the custom email configuration for the specified custom email type.

This action is only available to paying customers.

operationId: customEmails_create

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema CustomEmail
Property Type Required
id string optional
body string optional
type string required
title string optional
button string optional
header string optional
subject string required
nextStepContactInfo string optional

Responses

201

OK

400
401
403
404
409
500
POST /customemails
DELETE /customemails/{custom_email_type}

Delete the custom email configuration for the specified custom email type

operationId: customEmails_destroy

Parameters

Name In Required Type Description
custom_email_type path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204

No Content

400
401
403
404
409
500
DELETE /customemails/{custom_email_type}
GET /customemails/{custom_email_type}

Get the custom email configuration for the specified custom email type

operationId: customEmails_read

Parameters

Name In Required Type Description
custom_email_type path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
GET /customemails/{custom_email_type}
PUT /customemails/{custom_email_type}

Update the custom email configuration for the specified custom email type.

This action is only available to paying customers.

operationId: customEmails_update

Parameters

Name In Required Type Description
custom_email_type path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema CustomEmail
Property Type Required
id string optional
body string optional
type string required
title string optional
button string optional
header string optional
subject string required
nextStepContactInfo string optional

Responses

200

OK

400
401
403
404
409
500
PUT /customemails/{custom_email_type}

Directories 1 endpoints

GET /directories

This endpoint returns all active directories (LDAP, O365 Suite, G-Suite).

Sample Request

 curl -X GET https://console.jumpcloud.com/api/v2/directories \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: directories_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

limit query optional integer

The number of records to return at once. Limited to 100.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

default

Unexpected error

200

OK

GET /directories

Duo 9 endpoints

GET /duo/accounts

This endpoint returns all the Duo accounts for your organization. Note: There can currently only be one Duo account for your organization.

Sample Request

curl https://console.jumpcloud.com/api/v2/duo/accounts \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: duo_accountList

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /duo/accounts
POST /duo/accounts

Registers a Duo account for an organization. Only one Duo account will be allowed,
in case an organization has a Duo account already a 409 (Conflict) code will be returned.

Sample Request

  curl -X POST https://console.jumpcloud.com/api/v2/duo/accounts \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{}'
operationId: duo_accountPost

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

201
400
401
403
404
409
500
POST /duo/accounts
GET /duo/accounts/{account_id}/applications

This endpoint returns all the Duo applications for the specified Duo account. Note: There can currently only be one Duo application for your organization.

Sample Request

  curl https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: duo_applicationList

Parameters

Name In Required Type Description
account_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
400
401
403
404
409
500
GET /duo/accounts/{account_id}/applications
POST /duo/accounts/{account_id}/applications

Creates a Duo application for your organization and the specified account.

Sample Request

  curl -X POST https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Application Name",
    "apiHost": "api-1234.duosecurity.com",
    "integrationKey": "1234",
    "secretKey": "5678"
  }'
operationId: duo_applicationPost

Parameters

Name In Required Type Description
account_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema DuoApplicationReq
Property Type Required
name string required
apiHost string required
secretKey string required
integrationKey string required

Responses

201
400
401
403
404
409
500
POST /duo/accounts/{account_id}/applications
DELETE /duo/accounts/{account_id}/applications/{application_id}

Deletes the specified Duo application, an error will be returned if the application is used in a protected resource.

Sample Request

  curl -X DELETE https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications/{APPLICATION_ID} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}''
operationId: duo_applicationDelete

Parameters

Name In Required Type Description
account_id path required string
application_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
400
401
403
404
409
500
DELETE /duo/accounts/{account_id}/applications/{application_id}
GET /duo/accounts/{account_id}/applications/{application_id}

This endpoint returns a specific Duo application that is associated with the specified Duo account.

Sample Request

  curl https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications/{APPLICATION_ID} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: duo_applicationGet

Parameters

Name In Required Type Description
account_id path required string
application_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
400
401
403
404
409
500
GET /duo/accounts/{account_id}/applications/{application_id}
PUT /duo/accounts/{account_id}/applications/{application_id}

Updates the specified Duo application.

Sample Request

  curl -X PUT https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNT_ID}/applications/{APPLICATION_ID} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Application Name",
    "apiHost": "api-1234.duosecurity.com",
    "integrationKey": "1234",
    "secretKey": "5678"
  }'
operationId: duo_applicationUpdate

Parameters

Name In Required Type Description
account_id path required string
application_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema DuoApplicationUpdateReq
Property Type Required
name string required
apiHost string required
secretKey string optional
integrationKey string required

Responses

200
400
401
403
404
409
500
PUT /duo/accounts/{account_id}/applications/{application_id}
DELETE /duo/accounts/{id}

Removes the specified Duo account, an error will be returned if the account has some Duo application used in a protected resource.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/duo/accounts/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: duo_accountDelete

Parameters

Name In Required Type Description
id path required string

ObjectID of the Duo Account

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
400
401
403
404
409
500
DELETE /duo/accounts/{id}
GET /duo/accounts/{id}

This endpoint returns a specific Duo account.

Sample Request

curl https://console.jumpcloud.com/api/v2/duo/accounts/{id} \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: duo_accountGet

Parameters

Name In Required Type Description
id path required string

ObjectID of the Duo Account

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /duo/accounts/{id}

Featuretrials 1 endpoints

GET /featureTrials/{feature_code}

This endpoint get’s the current state of a feature trial for an org.

Sample Request

  curl -X GET \
  https://console.jumpcloud.local/api/v2/featureTrials/zeroTrust \
  -H 'accept: application/json' \
  -H 'content-type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: featureTrials_getFeatureTrials

Parameters

Name In Required Type Description
feature_code path required string

Responses

200

OK

401
404
500
GET /featureTrials/{feature_code}

Gsuite 14 endpoints

GET /gsuites/{gsuite_id}/domains

List the domains configured for a specific Google Workspace directory sync integration instance.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/domains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: GSuite_configuredDomainsList

Parameters

Name In Required Type Description
gsuite_id path required string

Id for the specific Google Workspace directory sync integration instance..

limit query optional string

The number of records to return at once. Limited to 100.

skip query optional string

The offset into the records to return.

Responses

default

An unexpected error response.

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

GET /gsuites/{gsuite_id}/domains
POST /gsuites/{gsuite_id}/domains

Add a domain to a specific Google Workspace directory sync integration instance. The domain must be a verified domain in Google Workspace.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/domains \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{"domain": "{domain name}"}'
operationId: GSuite_addDomain

Parameters

Name In Required Type Description
gsuite_id path required string

Id for the specific Google Workspace directory sync integration instance.

domain query optional string

Responses

default

An unexpected error response.

200

A successful response.

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

500

Internal Server Error

POST /gsuites/{gsuite_id}/domains
DELETE /gsuites/{gsuite_id}/domains/{domainId}

Delete a domain from a specific Google Workspace directory sync integration instance.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/domains/{domainId} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: GSuite_deleteDomain

Parameters

Name In Required Type Description
gsuite_id path required string

Id for the specific Google Workspace directory sync integration instance.

domainId path required string

Id for the domain.

Responses

default

An unexpected error response.

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

DELETE /gsuites/{gsuite_id}/domains/{domainId}
GET /gsuites/{gsuite_id}/import/jumpcloudusers

Lists available G Suite users for import, translated to the Jumpcloud user schema.

operationId: gsuites_listImportJumpcloudUsers

Parameters

Name In Required Type Description
gsuite_id path required string
allowEmptyFields query optional boolean

[EXPERIMENTAL] Allow empty fields of the user object to be sent in the response

maxResults query optional integer

Google Directory API maximum number of results per page. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

orderBy query optional string

Google Directory API sort field parameter. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

pageToken query optional string

Google Directory API token used to access the next page of results. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

query query optional string

Google Directory API search parameter. See https://developers.google.com/admin-sdk/directory/v1/guides/search-users.

sortOrder query optional string

Google Directory API sort direction parameter. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

Responses

200

OK

GET /gsuites/{gsuite_id}/import/jumpcloudusers
GET /gsuites/{gsuite_id}/import/schedules

Endpoint to list scheduled jobs for specified Google Workspace integration.

operationId: GSuite_listImportSchedules

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the Google Workspace integration

Responses

default

An unexpected error response.

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

GET /gsuites/{gsuite_id}/import/schedules
POST /gsuites/{gsuite_id}/import/schedules

Endpoint to create a scheduled job for specified Google Workspace integration.

operationId: GSuite_importSchedulesCreate

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the Google Workspace integration

Responses

default

An unexpected error response.

200

A successful response.

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

POST /gsuites/{gsuite_id}/import/schedules
DELETE /gsuites/{gsuite_id}/import/schedules/{scheduledJobId}

Endpoint to delete the specified scheduled job from gapps and kala.

operationId: GSuite_deleteScheduledJob

Parameters

Name In Required Type Description
gsuite_id path required string

ObjectID of the Google Workspace integration

scheduledJobId path required string

ObjectID of the Scheduled Job

Responses

default

An unexpected error response.

200

A successful response.

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

DELETE /gsuites/{gsuite_id}/import/schedules/{scheduledJobId}
GET /gsuites/{gsuite_id}/import/users

Lists G Suite users available for import.

operationId: gsuites_listImportUsers

Parameters

Name In Required Type Description
gsuite_id path required string
limit query optional integer

The number of records to return at once. Limited to 100.

maxResults query optional integer

Google Directory API maximum number of results per page. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

orderBy query optional string

Google Directory API sort field parameter. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

pageToken query optional string

Google Directory API token used to access the next page of results. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

query query optional string

Google Directory API search parameter. See https://developers.google.com/admin-sdk/directory/v1/guides/search-users.

sortOrder query optional string

Google Directory API sort direction parameter. See https://developers.google.com/admin-sdk/directory/reference/rest/v1/users/list.

Responses

200

OK

GET /gsuites/{gsuite_id}/import/users
GET /gsuites/{gsuite_id}/translationrules

This endpoint returns all graph translation rules for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

Sample Request
curl -X GET  https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/translationrules \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_gSuiteList

Parameters

Name In Required Type Description
gsuite_id path required string
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

Responses

200
GET /gsuites/{gsuite_id}/translationrules
POST /gsuites/{gsuite_id}/translationrules

This endpoint allows you to create a translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

Sample Request
curl -X POST https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/translationrules \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    {Translation Rule Parameters}
  }'
operationId: translationRules_gSuitePost

Parameters

Name In Required Type Description
gsuite_id path required string

Request Body

application/json
schema GSuiteTranslationRuleRequest
Property Type Required
builtIn string optional
direction string optional

Responses

201
POST /gsuites/{gsuite_id}/translationrules
DELETE /gsuites/{gsuite_id}/translationrules/{id}

This endpoint allows you to delete a translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/translationrules/{id} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_gSuiteDelete

Parameters

Name In Required Type Description
gsuite_id path required string
id path required string

Responses

204
DELETE /gsuites/{gsuite_id}/translationrules/{id}
GET /gsuites/{gsuite_id}/translationrules/{id}

This endpoint returns a specific translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

Sample Request
  curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{gsuite_id}/translationrules/{id} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: translationRules_gSuiteGet

Parameters

Name In Required Type Description
gsuite_id path required string
id path required string

Responses

200
GET /gsuites/{gsuite_id}/translationrules/{id}
GET /gsuites/{id}

This endpoint returns a specific G Suite.

Sample Request
 curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{GSUITE_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: gsuites_get

Parameters

Name In Required Type Description
id path required string

Unique identifier of the GSuite.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /gsuites/{id}
PATCH /gsuites/{id}

This endpoint allows updating some attributes of a G Suite.

Sample Request
curl -X PATCH https://console.jumpcloud.com/api/v2/gsuites/{GSUITE_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "userLockoutAction": "suspend",
    "userPasswordExpirationAction": "maintain"
  }'

Sample Request, set a default domain

curl -X PATCH https://console.jumpcloud.com/api/v2/gsuites/{GSUITE_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "defaultDomain": {
        "id": "{domainObjectID}"
      }
  }'

Sample Request, unset the default domain

curl -X PATCH https://console.jumpcloud.com/api/v2/gsuites/{GSUITE_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "defaultDomain": {}
  }'
operationId: gsuites_patch

Parameters

Name In Required Type Description
id path required string

Unique identifier of the GSuite.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema gsuite
Property Type Required
id string optional
name string optional
defaultDomain object optional
id string optional
domain string optional
groupsEnabled boolean optional
userLockoutAction string optional
userPasswordExpirationAction string optional

Responses

200
PATCH /gsuites/{id}

Googleemm 16 endpoints

GET /google-emm/devices/{deviceId}

Gets a Google EMM enrolled device details.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_GetDevice

Parameters

Name In Required Type Description
deviceId path required string

Responses

200

A successful response.

GET /google-emm/devices/{deviceId}
POST /google-emm/devices/{deviceId}/erase-device

Removes the work profile and all policies from a personal/company-owned Android 8.0+ device. Company owned devices will be relinquished for personal use. Apps and data associated with the personal profile(s) are preserved.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId}/erase-device \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_EraseDevice

Parameters

Name In Required Type Description
deviceId path required string

Request Body

application/json
schema DevicesEraseDeviceRequest

Responses

200

A successful response.

POST /google-emm/devices/{deviceId}/erase-device
POST /google-emm/devices/{deviceId}/lock

Locks a Google EMM enrolled device, as if the lock screen timeout had expired.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId}/lock \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_LockDevice

Parameters

Name In Required Type Description
deviceId path required string

Request Body

application/json
schema DevicesEraseDeviceRequest

Responses

200

A successful response.

POST /google-emm/devices/{deviceId}/lock
GET /google-emm/devices/{deviceId}/policy_results

Gets an android JSON policy for a Google EMM enrolled device.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId}/policy_results \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_GetDeviceAndroidPolicy

Parameters

Name In Required Type Description
deviceId path required string

Responses

200

A successful response.

GET /google-emm/devices/{deviceId}/policy_results
POST /google-emm/devices/{deviceId}/reboot

Reboots a Google EMM enrolled device. Only supported on fully managed devices running Android 7.0 or higher.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId}/reboot \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_RebootDevice

Parameters

Name In Required Type Description
deviceId path required string

Request Body

application/json
schema DevicesEraseDeviceRequest

Responses

200

A successful response.

POST /google-emm/devices/{deviceId}/reboot
POST /google-emm/devices/{deviceId}/resetpassword

Reset the user’s password of a Google EMM enrolled device.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/devices/{deviceId}/resetpassword \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{ 'new_password' : 'string' }' \
operationId: Devices_ResetPassword

Parameters

Name In Required Type Description
deviceId path required string

Request Body

required
application/json
schema DevicesResetPasswordRequest
Property Type Required
flags array optional
newPassword string optional

Responses

200

A successful response.

POST /google-emm/devices/{deviceId}/resetpassword
POST /google-emm/enrollment-tokens

Gets an enrollment token to enroll a device into Google EMM.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/enrollment-tokens \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: EnrollmentTokens_CreateEnrollmentToken

Request Body

required
application/json
schema jumpcloud.google_emm.CreateEnrollmentTokenRequest
Property Type Required
duration string optional
zeroTouch boolean optional
displayName string optional
oneTimeOnly boolean optional
createdWhere string optional
userObjectId string optional
enrollmentType string optional
allowPersonalUsage string optional
enterpriseObjectId string optional
provisioningExtras object optional
wifiSsid string optional
wifiPassword string optional
wifiSecurityType string optional
wifiHiddenNetwork boolean optional

Responses

200

A successful response.

POST /google-emm/enrollment-tokens
GET /google-emm/enterprises

Lists all Google EMM enterprises. An empty list indicates that the Organization is not configured with a Google EMM enterprise yet.

Note: Currently only one Google Enterprise per Organization is supported.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/enterprises \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Enterprises_ListEnterprises

Parameters

Name In Required Type Description
limit query optional string

The number of records to return at once. Limited to 100.

skip query optional string

The offset into the records to return.

Responses

200

A successful response.

GET /google-emm/enterprises
POST /google-emm/enterprises

Creates a Google EMM enterprise.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/enterprises \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{ 'signupUrlName': 'string', 'enrollmentToken': 'string' }' \
operationId: Enterprises_CreateEnterprise

Request Body

required
application/json
schema jumpcloud.google_emm.CreateEnterpriseRequest
Property Type Required
signupUrlName string optional
enrollmentToken string optional

Responses

200

A successful response.

POST /google-emm/enterprises
DELETE /google-emm/enterprises/{enterpriseId}

Removes a Google EMM enterprise.

Warning: This is a destructive operation and will remove all data associated with Google EMM enterprise from JumpCloud including devices and applications associated with the given enterprise.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/google-emm/devices/{enterpriseId} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Enterprises_DeleteEnterprise

Parameters

Name In Required Type Description
enterpriseId path required string

Responses

200

A successful response.

DELETE /google-emm/enterprises/{enterpriseId}
PATCH /google-emm/enterprises/{enterpriseId}

Updates a Google EMM enterprise details.

Sample Request

curl -X PATCH https://console.jumpcloud.com/api/v2/google-emm/enterprises \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{ 'allowDeviceEnrollment': true, 'deviceGroupId': 'string' }' \
operationId: Enterprises_PatchEnterprise

Parameters

Name In Required Type Description
enterpriseId path required string

Request Body

required
application/json
schema EnterprisesPatchEnterpriseRequest
Property Type Required
deviceGroupId string optional
allowDeviceEnrollment boolean optional

Responses

200

A successful response.

PATCH /google-emm/enterprises/{enterpriseId}
GET /google-emm/enterprises/{enterpriseId}/connection-status

Gives a connection status between JumpCloud and Google.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/devices/{enterpriseId}/connection-status \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Enterprises_GetConnectionStatus

Parameters

Name In Required Type Description
enterpriseId path required string

Responses

200

A successful response.

GET /google-emm/enterprises/{enterpriseId}/connection-status
DELETE /google-emm/enterprises/{enterpriseId}/enrollment-tokens/{tokenId}

Removes an Enrollment token for a given enterprise and token id.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/enterprises/{enterprise_id}/enrollment-tokens/{token_id} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: EnrollmentTokens_DeleteEnrollmentToken

Parameters

Name In Required Type Description
enterpriseId path required string
tokenId path required string

Responses

200

A successful response.

DELETE /google-emm/enterprises/{enterpriseId}/enrollment-tokens/{tokenId}
GET /google-emm/enterprises/{enterpriseObjectId}/devices

Lists google EMM enrolled devices.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/enterprises/{enterprise_object_id}/devices \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: Devices_ListDevices

Parameters

Name In Required Type Description
enterpriseObjectId path required string
limit query optional string

The number of records to return at once. Limited to 100.

skip query optional string

The offset into the records to return.

filter query optional array

Responses

200

A successful response.

GET /google-emm/enterprises/{enterpriseObjectId}/devices
GET /google-emm/enterprises/{enterpriseObjectId}/enrollment-tokens

Lists active, unexpired enrollement tokens for a given enterprise.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/google-emm/enterprises/{enterprise_object_id}/enrollment-tokens \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: EnrollmentTokens_ListEnrollmentTokens

Parameters

Name In Required Type Description
enterpriseObjectId path required string
limit query optional string

The number of records to return at once. Limited to 100.

skip query optional string

The offset into the records to return.

filter query optional array
sort query optional string

Use space separated sort parameters to sort the collection. Default sort is ascending. Prefix with - to sort descending.

Responses

200

A successful response.

GET /google-emm/enterprises/{enterpriseObjectId}/enrollment-tokens
POST /google-emm/enterprises/{enterpriseObjectId}/enrollment-tokens

Gets an enrollment token to enroll a device into Google EMM.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/google-emm/enterpries/{enterprise_object_id}/enrollment-tokens \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
operationId: EnrollmentTokens_CreateEnterprisesEnrollmentToken

Parameters

Name In Required Type Description
enterpriseObjectId path required string

Request Body

required
application/json
schema EnrollmentTokensCreateEnterprisesEnrollmentTokenRequest
Property Type Required
duration string optional
zeroTouch boolean optional
displayName string optional
oneTimeOnly boolean optional
createdWhere string optional
userObjectId string optional
enrollmentType string optional
allowPersonalUsage string optional
provisioningExtras object optional
wifiSsid string optional
wifiPassword string optional
wifiSecurityType string optional
wifiHiddenNetwork boolean optional

Responses

200

A successful response.

POST /google-emm/enterprises/{enterpriseObjectId}/enrollment-tokens
Load more endpoints